CVE-2016-7406

NameCVE-2016-7406
DescriptionFormat string vulnerability in Dropbear SSH before 2016.74 allows remote attackers to execute arbitrary code via format string specifiers in the (1) username or (2) host argument.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-634-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dropbear (PTS)buster2018.76-5+deb10u1fixed
bullseye2020.81-3fixed
bookworm, sid2022.82-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dropbearsourcewheezy2012.55-1.3+deb7u1DLA-634-1
dropbearsourcejessie2014.65-1+deb8u1
dropbearsource(unstable)2016.74-1

Notes

https://hg.ucc.asn.au/dropbear/rev/b66a483f3dcb

Search for package or bug name: Reporting problems